Package org.eclipse.ui

## Class LegacyHandlerSubmissionExpression

- java.lang.Object
- - org.eclipse.core.expressions.Expression
  - - org.eclipse.ui.LegacyHandlerSubmissionExpression

    public final class LegacyHandlerSubmissionExpression
    extends Expression

An expression encapsulating all of the information from legacy handler submissions.

Since:
  3.1

### Field Summary

### Fields inherited from class org.eclipse.core.expressions.Expression

`ATT_VALUE, FALSE, HASH_CODE_NOT_COMPUTED, HASH_FACTOR, TRUE`

### Constructor Summary

Constructors
`LegacyHandlerSubmissionExpression​(String activePartId, Shell activeShell, IWorkbenchPartSite activeSite)` Constructs a new instance of `LegacyHandlerSubmissionExpression`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collectExpressionInfo​(ExpressionInfo info)` Collect expression info for a legacy handler submission.
`protected int` `computeHashCode()` Method to compute the hash code for this object.
`boolean` `equals​(Object object)`
`EvaluationResult` `evaluate​(IEvaluationContext context)` Evaluates this expression.
`String` `toString()`

### Methods inherited from class org.eclipse.core.expressions.Expression

`computeExpressionInfo, equals, equals, hashCode, hashCode, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LegacyHandlerSubmissionExpression

    public LegacyHandlerSubmissionExpression​(String activePartId,
                                             Shell activeShell,
                                             IWorkbenchPartSite activeSite)

Constructs a new instance of `LegacyHandlerSubmissionExpression`

Parameters:
  `activePartId` - The part identifier to match with the active part; `null` if it will match any active part.
  `activeShell` - The shell to match with the active shell; `null` if it will match any active shell.
  `activeSite` - The site to match with the active site; `null` if it will match any active site.

### Method Detail

#### collectExpressionInfo

    public void collectExpressionInfo​(ExpressionInfo info)

Collect expression info for a legacy handler submission. Namely the active part id and name, active shell name, active workbench window shell name and the active site name.

Overrides:
  `collectExpressionInfo` in class `Expression`
Parameters:
  `info` - the expression information object used to collect the information
Since:
  3.2

#### computeHashCode

    protected int computeHashCode()

Description copied from class: `Expression`
Method to compute the hash code for this object. The result returned from this method in cached in the `fHashCode` field. If the value returned from the method equals `Expression.HASH_CODE_NOT_COMPUTED` (e.g. `-1`) then the value is incremented by one.

This default implementation calls `super.hashCode()`

Overrides:
  `computeHashCode` in class `Expression`
Returns:
  a hash code for this object.

#### equals

    public boolean equals​(Object object)

Overrides:
  `equals` in class `Object`

#### evaluate

    public EvaluationResult evaluate​(IEvaluationContext context)

Evaluates this expression. This tests the three conditions against the current state of the application (as defined by `context`). If a condition is `null`, then it matches any possible value (i.e., it is not tested at all).

Specified by:
  `evaluate` in class `Expression`
Parameters:
  `context` - The context providing the current workbench state; must not be `null`.
Returns:
  `EvaluationResult.TRUE` if the conditions all matches; `EvaluationResult.FALSE` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`